Updates tests for the new output messages

diff --git "a/test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed" "b/test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed"
index bde5867..5a2aef2 100755
--- "a/test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed"
+++ "b/test/slow/nvm run/Running \"nvm run 0.x\" should error out sensibly when 0.x is not installed"
@@ -5,5 +5,12 @@
 
 . ../../../nvm.sh
 
-[ "$(nvm run 0.2 --version 2>&1)" = 'N/A: version "v0.2" is not yet installed' ] || die "\`nvm run\` with an uninstalled node version failed to error out correctly"
-[ "$(nvm run iojs-0.2 --version 2>&1)" = 'N/A: version "iojs-v0.2" is not yet installed' ] || die "\`nvm run\` with an uninstalled iojs version failed to error out correctly"
+EXPECTED_OUTPUT='N/A: version "v0.2" is not yet installed.
+
+You need to run "nvm install 0.2" to install it before using it.'
+[ "_$(nvm run 0.2 --version 2>&1)" = "_$EXPECTED_OUTPUT" ] || die "\`nvm run\` with an uninstalled node version failed to error out correctly"
+
+EXPECTED_OUTPUT='N/A: version "iojs-v0.2" is not yet installed.
+
+You need to run "nvm install iojs-0.2" to install it before using it.'
+[ "_$(nvm run iojs-0.2 --version 2>&1)" = "_$EXPECTED_OUTPUT" ] || die "\`nvm run\` with an uninstalled iojs version failed to error out correctly"